
Infrastructure - Bug #4674

Bug # 3492 (In Progress): Invalid PIDs in production (whitespace)

Ask Judith, Mike and Virgina Perez.2.1 to obsolete those pids which contain the white spaces.

2014-03-31 18:02 - Jing Tao

Status: New Start date: 2014-03-31

Priority: Urgent Due date:  

Assignee: Jing Tao % Done: 0%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Milestone: None Story Points:  

Product Version: *   

Description

doi:10.5063/AA/Virginia Perez.2.1

judith botha.1.1

judith botha.2.1

judith kruger.1.1

judith kruger.2.1

judith kruger.3.1

judith kruger.4.1

judith kruger.5.1

doi:10.6085/AA/ SHLX00_XXXITV2XLSR03_20111128.40.1 (PISCO)

Related issues:

Related to Infrastructure - Bug #8085: listObjects fails at 338940 Closed 2017-04-27

History

#1 - 2014-09-02 21:42 - Robert Waltz

- Target version changed from 2014.12-Block.2.2 to Release Backlog

#2 - 2014-09-24 18:09 - Dave Vieglais

- Target version changed from Release Backlog to Maintenance Backlog

#3 - 2017-04-27 15:31 - Dave Vieglais

- Tracker changed from Task to Bug

- Priority changed from Normal to Urgent

- Assignee set to Jing Tao

- Category set to d1_cn_service

This old issue is now a significant problem with the switch of type serializers as operations that touch these pids causes a system failure exception on

the CN.

These identifiers must be deleted from the CN or otherwise altered to prevent failures.

#4 - 2017-04-27 15:40 - Chris Jones

For @doi:10.5063/AA/Virginia Perez.2.1@, we should just make the change since this is a KNB object. 

#5 - 2017-04-27 17:43 - Dave Vieglais

- Related to Bug #8085: listObjects fails at 338940 added
#6 - 2017-04-27 17:43 - Dave Vieglais

Full list of bad identifiers in production:

metacat=> select guid, origin_member_node, date_uploaded, date_modified from systemmetadata where guid like '% %';

guid                        | origin_member_node |    date_uploaded    |      date_modified

----------------------------------------------------+--------------------+---------------------+-------------------------

judith kruger.4.1                                  | urn:node:SANPARKS  | 2011-09-28 00:00:00 | 2012-06-15 02:39:52.308

Lin Cheng-Jung.1.1                                 | urn:node:TFRI      | 2007-01-05 00:00:00 | 2013-06-17 03:31:55.862

Lin Cheng-Jung.1.2                                 | urn:node:TFRI      | 2007-01-05 00:00:00 | 2013-06-17 03:31:55.466

doi:10.6085/AA/ SHLX00_XXXITV2XLSR03_20111128.40.1 | urn:node:PISCO     | 2012-02-16 00:00:00 | 2013-03-29 14:39:52.449

judith kruger.5.1                                  | urn:node:SANPARKS  | 2011-09-28 00:00:00 | 2012-06-15 02:39:55.134

judith botha.1.1                                   | urn:node:SANPARKS  | 2011-09-30 00:00:00 | 2012-06-15 02:40:49.835

judith botha.2.1                                   | urn:node:SANPARKS  | 2011-09-30 00:00:00 | 2012-06-15 02:39:53.41

judith kruger.1.1                                  | urn:node:SANPARKS  | 2011-09-28 00:00:00 | 2012-06-15 02:41:07.343

resourceMap_Lin Cheng-Jung.1.2                     | urn:node:TFRI      | 2007-01-05 00:00:00 | 2013-06-17 19:40:01.512

resourceMap_Lin Cheng-Jung.1.1                     | urn:node:TFRI      | 2007-01-05 00:00:00 | 2013-06-17 19:40:00.466

resourceMap_Lin Cheng-Jung.1.3                     | urn:node:TFRI      | 2007-01-05 00:00:00 | 2013-06-17 19:40:00.486

judith kruger.3.1                                  | urn:node:SANPARKS  | 2011-09-28 00:00:00 | 2012-06-15 02:39:56.427

judith kruger.2.1                                  | urn:node:SANPARKS  | 2011-09-28 00:00:00 | 2012-06-15 02:42:04.45

Lin Cheng-Jung.1.3                                 | urn:node:TFRI      | 2007-01-05 00:00:00 | 2013-06-17 03:31:54.946

doi:10.5063/AA/Virginia Perez.2.1                  | urn:node:KNB       | 2002-10-05 23:00:00 | 2015-01-06 02:23:28.37

(15 rows)

#7 - 2017-05-01 19:40 - Dave Vieglais

Decided to take the approach of trapping the error in a try block, and trying again with a query that excludes any pids with spaces in them.

This will mean the bad identifiers will never show in list objects.

Potential issue - how to ensure paging consistency after skipping a PID?

#8 - 2017-05-01 19:41 - Dave Vieglais

- Target version changed from Maintenance Backlog to CCI-2.3.4

#9 - 2017-05-04 18:01 - Jing Tao

- Target version changed from CCI-2.3.4 to CCI-2.4.0
